<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:01 CEST 2016 -->
<title>LinePlayer</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="LinePlayer";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LinePlayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/Grid.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/MainMenu.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/LinePlayer.html" target="_top">Frames</a></li>
<li><a href="LinePlayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">view</div>
<h2 title="Class LinePlayer" class="title">Class LinePlayer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>view.LinePlayer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">LinePlayer</span>
extends java.lang.Object</pre>
<div class="block">The Class LinePlayer is a class who build a JPanel used to define a player (its name, color and if it is a IA).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../view/LinePlayer.html#LinePlayer(java.lang.String,%20java.awt.Color,%20controler.ListenerPlayersMenu,%20controler.ListenerPlayersMenu,%20boolean)">LinePlayer</a></strong>(java.lang.String&nbsp;name,
          java.awt.Color&nbsp;color,
          <a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a>&nbsp;listenerCouleur,
          <a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a>&nbsp;listenerIA,
          boolean&nbsp;online)</code>
<div class="block">Instantiates a new linePlayer.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#getCouleur()">getCouleur</a></strong>()</code>
<div class="block">Gets the color of the player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#getIa()">getIa</a></strong>()</code>
<div class="block">Gets the ia of the player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#getLevel()">getLevel</a></strong>()</code>
<div class="block">Gets the level of the ia.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>javax.swing.JPanel</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#getLine()">getLine</a></strong>()</code>
<div class="block">Gets the line.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#getNom()">getNom</a></strong>()</code>
<div class="block">Gets the name of the player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#setCouleur(javax.swing.JButton)">setCouleur</a></strong>(javax.swing.JButton&nbsp;couleur)</code>
<div class="block">Set the color of the player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#setIa(javax.swing.JButton)">setIa</a></strong>(javax.swing.JButton&nbsp;ia)</code>
<div class="block">Sets the ia of the player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#setLevelVisible(boolean)">setLevelVisible</a></strong>(boolean&nbsp;b)</code>
<div class="block">Set the level visible.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#setLine(javax.swing.JPanel)">setLine</a></strong>(javax.swing.JPanel&nbsp;line)</code>
<div class="block">Set the line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/LinePlayer.html#setNom(javax.swing.JTextField)">setNom</a></strong>(javax.swing.JTextField&nbsp;nom)</code>
<div class="block">Sets the name.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LinePlayer(java.lang.String, java.awt.Color, controler.ListenerPlayersMenu, controler.ListenerPlayersMenu, boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinePlayer</h4>
<pre>public&nbsp;LinePlayer(java.lang.String&nbsp;name,
          java.awt.Color&nbsp;color,
          <a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a>&nbsp;listenerCouleur,
          <a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a>&nbsp;listenerIA,
          boolean&nbsp;online)</pre>
<div class="block">Instantiates a new linePlayer.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the name of the player</dd><dd><code>color</code> - the color of the player</dd><dd><code>listenerCouleur</code> - the listenerCouleur of this line</dd><dd><code>listenerIA</code> - the listenerIA of this line</dd><dd><code>online</code> - If the game is the online</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCouleur()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCouleur</h4>
<pre>public&nbsp;javax.swing.JButton&nbsp;getCouleur()</pre>
<div class="block">Gets the color of the player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the color</dd></dl>
</li>
</ul>
<a name="setCouleur(javax.swing.JButton)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCouleur</h4>
<pre>public&nbsp;void&nbsp;setCouleur(javax.swing.JButton&nbsp;couleur)</pre>
<div class="block">Set the color of the player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>couleur</code> - the new color</dd></dl>
</li>
</ul>
<a name="getIa()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIa</h4>
<pre>public&nbsp;boolean&nbsp;getIa()</pre>
<div class="block">Gets the ia of the player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the ia</dd></dl>
</li>
</ul>
<a name="setIa(javax.swing.JButton)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIa</h4>
<pre>public&nbsp;void&nbsp;setIa(javax.swing.JButton&nbsp;ia)</pre>
<div class="block">Sets the ia of the player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ia</code> - the new ia</dd></dl>
</li>
</ul>
<a name="getNom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre>public&nbsp;javax.swing.JTextField&nbsp;getNom()</pre>
<div class="block">Gets the name of the player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the name</dd></dl>
</li>
</ul>
<a name="setNom(javax.swing.JTextField)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNom</h4>
<pre>public&nbsp;void&nbsp;setNom(javax.swing.JTextField&nbsp;nom)</pre>
<div class="block">Sets the name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>nom</code> - the new name</dd></dl>
</li>
</ul>
<a name="getLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLine</h4>
<pre>public&nbsp;javax.swing.JPanel&nbsp;getLine()</pre>
<div class="block">Gets the line.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the line</dd></dl>
</li>
</ul>
<a name="setLine(javax.swing.JPanel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLine</h4>
<pre>public&nbsp;void&nbsp;setLine(javax.swing.JPanel&nbsp;line)</pre>
<div class="block">Set the line.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>line</code> - the new line</dd></dl>
</li>
</ul>
<a name="setLevelVisible(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLevelVisible</h4>
<pre>public&nbsp;void&nbsp;setLevelVisible(boolean&nbsp;b)</pre>
<div class="block">Set the level visible.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>b</code> - the new level visible</dd></dl>
</li>
</ul>
<a name="getLevel()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLevel</h4>
<pre>public&nbsp;int&nbsp;getLevel()</pre>
<div class="block">Gets the level of the ia.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the level</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LinePlayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/Grid.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/MainMenu.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/LinePlayer.html" target="_top">Frames</a></li>
<li><a href="LinePlayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
